log4cplus::thread::SharedMutex Class Reference

`#include <syncprims.h>`

## Public Member Functions

| SharedMutex ()
| ~SharedMutex ()
void | rdlock () const
void | rdunlock () const
void | wrlock () const
void | wrunlock () const

## Detailed Description

Definition at line 176 of file syncprims.h.

## Constructor & Destructor Documentation

## SharedMutex()

SharedMutex::SharedMutex | ( |  | ) |

inline

Definition at line 43 of file syncprims-pmsm.h.

References SharedMutex().

Referenced by SharedMutex().

## ~SharedMutex()

SharedMutex::~SharedMutex | ( |  | ) |

inline

Definition at line 55 of file syncprims-pmsm.h.

## Member Function Documentation

## rdlock()

void SharedMutex::rdlock | ( |  | ) | const

inline

Definition at line 61 of file syncprims-pmsm.h.

## rdunlock()

void SharedMutex::rdunlock | ( |  | ) | const

inline

Definition at line 75 of file syncprims-pmsm.h.

## wrlock()

void SharedMutex::wrlock | ( |  | ) | const

inline

Definition at line 87 of file syncprims-pmsm.h.

## wrunlock()

void SharedMutex::wrunlock | ( |  | ) | const

inline

Definition at line 111 of file syncprims-pmsm.h.

The documentation for this class was generated from the following files:

- syncprims.h
- syncprims-pmsm.h